package org.apache.commons.lang3.concurrent;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.commons.lang3.concurrent.EventCountCircuitBreaker;

class StateStrategyClosed extends EventCountCircuitBreaker.StateStrategy {
  private StateStrategyClosed() {}
  
  public boolean isStateTransition(EventCountCircuitBreaker breaker, EventCountCircuitBreaker.CheckIntervalData currentData, EventCountCircuitBreaker.CheckIntervalData nextData) {
    return (nextData.getEventCount() > breaker.getOpeningThreshold());
  }
  
  protected long fetchCheckInterval(EventCountCircuitBreaker breaker) {
    return breaker.getOpeningInterval();
  }
}
